# -*- coding: utf-8 -*-

from django.contrib import admin
from django.utils.translation import ugettext as _

from .models import Currency


class CurrencyAdmin(admin.ModelAdmin):
    fieldsets = (
        (_('general information'), {'fields': (
            'name', 'slug', 'code', 'symbol'
        )}),
        (_('visualization admin'), {
            'fields': ('ordering', 'status',),
        }),
        (_('logs admin'), {
            'fields': ('creator', 'date_create', 'last_modifier', 'date_last_modify',),
        }),
    )
    search_fields = ('name', 'code')
    list_display = ('get_status_display', 'name', 'code', 'symbol', 'ordering',)
    prepopulated_fields = {"slug": ("name",)}
    readonly_fields = ('creator', 'date_create', 'last_modifier', 'date_last_modify',)


admin.site.register(Currency, CurrencyAdmin)
