# -*- coding: utf-8 -*-

from rest_framework import generics

from thux.api.views import QuerysetMixin
from thux.api.permissions import ThuxModelPermissions

from .. import models
from . import serializers


class CurrencyList(QuerysetMixin, generics.ListAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Currency.objects.all()
    serializer_class = serializers.CurrencySerializer


class CurrencyRetrieve(generics.RetrieveAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Currency.objects.all()
    serializer_class = serializers.CurrencySerializer


class CurrencyCreate(generics.CreateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Currency.objects.all()
    serializer_class = serializers.CurrencySerializerCreate


class CurrencyUpdate(generics.UpdateAPIView):
    permission_classes = (ThuxModelPermissions,)
    queryset = models.Currency.objects.all()
    serializer_class = serializers.CurrencySerializerUpdate
